Bug 402841 - kannel will not start using a serial modem: user kannel not in group "uucp"
kannel will not start using a serial modem: user kannel not in group "uucp"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kannel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 09:32 EST by Mario Pascucci
Modified: 2008-06-16 22:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:54:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Pascucci 2007-11-28 09:32:35 EST
Description of problem:
kannel installed from Fedora official repo, to use with a serial modem. Daemon
bearerbox won't start, no errors, no logs.


Version-Release number of selected component (if applicable):
kannel-1.4.1-2.fc6

How reproducible:
Always

Steps to Reproduce:
1.install kannel
2.configure it to use serial modem in /dev/ttySN (edit /etc/kannel.conf)
3.try to start with /etc/init.d/kannel start -> it replies [ ok ]
4.ps ax -> no bearerbox daemon running
  
Actual results:
no daemon running

Expected results:
bearerbox must be up and running

Additional info:
launching bearerbox manually it says: 
2007-11-28 15:21:33 [5331] [6] INFO: AT2[/dev/ttyS0]: opening device
2007-11-28 15:21:33 [5331] [6] ERROR: AT2[/dev/ttyS0]: open failed! ERRNO=13
2007-11-28 15:21:33 [5331] [6] ERROR: System error 13: Permission denied
2007-11-28 15:21:33 [5331] [6] ERROR: AT2[/dev/ttyS0]: at2_device_thread:
open_at2_device failed. Terminating
2007-11-28 15:21:33 [5331] [6] ERROR: System error 13: Permission denied

if you add user kannel to group uucp it works.
Comment 1 Matthias Saou 2008-02-03 07:31:54 EST
Kannel is unfortunately quite rough around the edges when it comes to starting
and stopping it as a daemon. The current init script uses the included
"start-stop-daemon" program (renamed to "start-stop-kannel" to avoid any
possible conflicts), which is probably the one to blame here for the exit status
is returns.

You might also have noticed the "hacks" in the init script in order to launch
all of the required *box programs... and despite the very ugly "sleep 3" after
running bearerbox, I've still managed to see the smsbox fail to connect to the
bearerbox under normal conditions.

What I'm trying to say here is that the "problem" you are having (wrong exit
status and no useful error output) is inherent to some design issues in kannel,
which would need fixing at a quite low level. I suggest either :
- Reporting this problem upstream to the kannel developers, as I'll be more than
happy to include any fixes they come up with in the Fedora package.
- Implementing more and/or different hacks in the Fedora package's init script.
Comment 2 Bug Zapper 2008-05-14 11:06:57 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:54:02 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.